Failed

org.eclipse.jdt.core.tests.compiler.regression.GenericTypeTest.test0886 - 10 (from org.eclipse.jdt.core.tests.compiler.regression.TestAll)

Failing for the past 6 builds (Since Failed#111 )
Took 0.31 sec.

Error Message

test0886 - Javac found error(s) but Eclipse did not find any.
----------- Expected ------------

------------ but was ------------
error: Source option 1.4 is no longer supported. Use 6 or later.\n

--------- Difference is ----------
 expected:<[]> but was:<[error: Source option 1.4 is no longer supported. Use 6 or later.\n
]>

Stacktrace

junit.framework.ComparisonFailure: 
test0886 - Javac found error(s) but Eclipse did not find any.
----------- Expected ------------

------------ but was ------------
error: Source option 1.4 is no longer supported. Use 6 or later.\n

--------- Difference is ----------
 expected:<[]> but was:<[error: Source option 1.4 is no longer supported. Use 6 or later.\n
]>
	at org.eclipse.jdt.core.tests.compiler.regression.GenericTypeTest.test0886(GenericTypeTest.java:29083)

Standard Output

org.eclipse.jdt.core.tests.compiler.regression.GenericTypeTest#test0886 - 10
X.java [
public class X {
	void test() {
		"Hello".compareTo((Object) "Hello");
	}
}

]


Full results sent to /tmp/comptest/run.1575176690486/10.0.2_20191201_050454.txt

Standard Error

--- javac err: ---
error: Source option 1.4 is no longer supported. Use 6 or later.

----------------------------------------